Bug 1414010 - Regression: Atomic DBus VulnerabilityInfo API hangs loading results from /var/lib/atomic
Summary: Regression: Atomic DBus VulnerabilityInfo API hangs loading results from /var...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: atomic
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brent Baude
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 14:31 UTC by Stef Walter
Modified: 2017-04-01 17:10 UTC (History)
8 users (show)

Fixed In Version: atomic-1.16.4-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-01 17:10:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Stef Walter 2017-01-17 14:31:58 UTC
Description of problem:

I have scan results on my Atomic Host system. The Atomic Scan DBus API now hangs when I try to access vulnerability info via the DBus API.

Version-Release number of selected component (if applicable):

# rpm -q atomic
atomic-1.14.1-1.fc25.x86_64

How reproducible:

Every time.

Steps to Reproduce:

# mkdir -p /var/lib/atomic/atomic_scan_openscap/2016-12-11-12-09-57-674487/7968321274dc6b6171697c33df7815310468e694ac5be0ec03ff053bb135e768/

# printf '{"Scanner": "openscap", "Scan Type": "Standard Compliance", "Vulnerabilities": [{"Custom": {"XCCDF result": "fail"}, "Severity": "Low", "Description": "\nThe RPM package management system can check file access\npermissions of installed software packages, including many that are\nimportant to system security. \nAfter locating a file with incorrect permissions, run the following command to determine which package owns it:\n", "Title": "Verify and Correct File Permissions with RPM"}, {"Custom": {"XCCDF result": "fail"}, "Severity": "Moderate", "Description": "\nSystem executables are stored in the following directories by default:\n", "Title": "Verify that System Executables Have Restrictive Permissions"}], "Successful": "true", "Finished Time": "2016-12-11T12:10:27", "Time": "2016-12-11T12:09:59", "UUID": "/scanin/d6fe5fdc49c2886ccad1c781d38a0c9fe679c6e7ca0297d23186c385873e86fa"}' > /var/lib/atomic/atomic_scan_openscap/2016-12-11-12-09-57-674487/7968321274dc6b6171697c33df7815310468e694ac5be0ec03ff053bb135e768/json

# printf '{"7968321274dc6b6171697c33df7815310468e694ac5be0ec03ff053bb135e768": {"UUID": "7968321274dc6b6171697c33df7815310468e694ac5be0ec03ff053bb135e768", "Scan Type": "Standards Compliance", "json_file": "/var/lib/atomic/atomic_scan_openscap/2016-12-11-12-09-57-674487/7968321274dc6b6171697c33df7815310468e694ac5be0ec03ff053bb135e768/json", "Time": "2016-12-11T12:09:59", "Vulnerable": true, "Scanner": "openscap"}}' > /var/lib/atomic/scan_summary.json

# gdbus call --system --dest org.atomic --object-path /org/atomic/object --method org.atomic.VulnerableInfo

Actual results:

The DBus API hangs until it times out:

Error: Timeout was reached


Expected results:

A real reply from the DBus API:

('{"7968321274dc6b6171697c33df7815310468e694ac5be0ec03ff053bb135e768": {"UUID": "7968321274dc6b6171697c33df7815310468e694ac5be0ec03ff053bb135e768", "Scan Type": "Standards Compliance", "json_file": "/var/lib/atomic/atomic_scan_openscap/2016-12-11-12-09-57-674487/7968321274dc6b6171697c33df7815310468e694ac5be0ec03ff053bb135e768/json", "Time": "2016-12-11T12:09:59", "Vulnerable": true, "Scanner": "openscap"}}\n',)

Additional info:

Works with atomic-1.13.1-3.git5dfcaa9.fc25.x86_64

Comment 1 Stef Walter 2017-01-17 14:37:24 UTC
Pull request has been filed by Lars upstream that avoided this regression ... https://github.com/projectatomic/atomic/pull/817

Comment 2 Stef Walter 2017-01-17 14:38:05 UTC
This version of the atomic CLI has been pushed out to "released" operating system like Fedora 24 and Fedora 25, and this bug affects real users using the Atomic scan functionality in Cockpit.

Comment 3 Stef Walter 2017-01-18 10:16:08 UTC
We're starting to track failures of this as a known issue here: https://github.com/cockpit-project/cockpit/issues/5754

Comment 4 Fedora Update System 2017-02-08 14:47:15 UTC
atomic-1.15.3-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1def5655ad

Comment 5 Fedora Update System 2017-02-09 22:20:58 UTC
atomic-1.15.3-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1def5655ad

Comment 6 Fedora Update System 2017-03-09 20:58:32 UTC
atomic-1.16.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ad6948192

Comment 7 Fedora Update System 2017-03-11 14:26:06 UTC
atomic-1.16.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ad6948192

Comment 8 Fedora Update System 2017-03-16 16:02:05 UTC
atomic-1.16.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e8cbc792c6

Comment 9 Fedora Update System 2017-03-17 02:19:56 UTC
atomic-1.16.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e8cbc792c6

Comment 10 Fedora Update System 2017-04-01 17:10:38 UTC
atomic-1.16.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.